Xorg Error

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Xorg Error

Postby 4partee on Fri Oct 26, 2012 3:18 pm

I installed U5 on LMDE XFCE in a VirtualBox and now the VM stops with a messagebox that says:

Failed to start the X server...

I select YES to view /var/log/Xorg.0.log

which says (EE) module ABI major version (11) doesn't match the server's version (12)

Bug?

John
4partee
Level 1
Level 1
 
Posts: 8
Joined: Fri Aug 24, 2012 8:17 am

Linux Mint is funded by ads and donations.
 

Re: Xorg Error

Postby Monsta on Sat Oct 27, 2012 3:09 am

What is your Virtualbox version? Do you have virtualbox-guest-dkms package installed in your guest system?

Also, this might give some hints: https://forums.virtualbox.org/viewtopic.php?f=3&t=49170
Monsta
Level 8
Level 8
 
Posts: 2451
Joined: Fri Aug 19, 2011 3:46 am

Re: Xorg Error

Postby 4partee on Sat Oct 27, 2012 11:39 am

Monsta wrote:What is your Virtualbox version? Do you have virtualbox-guest-dkms package installed in your guest system?

Also, this might give some hints: https://forums.virtualbox.org/viewtopic.php?f=3&t=49170


I see that.

host:
4.1.22r80657

LMDE Mint in VM:
4.1.22r80657

LMDE XFCE:
4.1.18r78361

OK, there is a difference where the GA version is not 4.1.22.

It appears that the GA had not been updated along with the host's VB version which is 4.1.22. I should have done this before applying UP5, right?

Now the system will not boot and I don't know how, or if, I can install the 4.1.22 GA from the recovery mode. I cannot figure how out to mount the GA ISO from the CLI in recovery mode. The GA's ISO is attached to the IDE secondary in the host's setup.

Is there a VB command or do I use mount?

Thanks;
John
4partee
Level 1
Level 1
 
Posts: 8
Joined: Fri Aug 24, 2012 8:17 am

Re: Xorg Error

Postby Monsta on Sun Oct 28, 2012 2:24 am

This doesn't seem to be the case... I looked at one of my LMDE virtualboxes and it has guest additions 4.1.18 too. The Virtualbox version is 4.1.23. The guest LMDE with UP5 works normally.

There are two ways to install guest additions for LMDE. First is to use that ISO, and second is to install a few packages from LMDE repository.
Please run this command to check what's already installed:
Code: Select all
aptitude search '~i virtualbox'

Does its result look exactly like this:
Code: Select all
i   virtualbox-guest-dkms           - x86 virtualization solution - guest addition module source for dkms
i   virtualbox-guest-utils          - x86 virtualization solution - non-X11 guest utilities
i   virtualbox-guest-x11            - x86 virtualization solution - X11 guest utilities
or is something different?
Monsta
Level 8
Level 8
 
Posts: 2451
Joined: Fri Aug 19, 2011 3:46 am

Re: Xorg Error

Postby 4partee on Sun Oct 28, 2012 3:58 pm

I got no output! My system must be the problem and not a bug.

I am trying out distros in VB because Ubuntu 10.04 is going EOL soon. I would prefer to re-install instead of trying to fix this install.

What I want is a basic distro for a MythTV backend. I had trouble getting MythTV backend to work with LMDE.

I like the LMDE approach of building on Debian and would like to migrate from Ubuntu. I don't like the corporate-like policies direction Ubuntu went.

Thanks;
John
4partee
Level 1
Level 1
 
Posts: 8
Joined: Fri Aug 24, 2012 8:17 am

Re: Xorg Error

Postby Monsta on Mon Oct 29, 2012 3:38 am

4partee wrote:I would prefer to re-install instead of trying to fix this install.

:shock: Is that easier than installing a single package (virtualbox-guest-dkms)? :)
Monsta
Level 8
Level 8
 
Posts: 2451
Joined: Fri Aug 19, 2011 3:46 am

Re: Xorg Error

Postby 4partee on Mon Oct 29, 2012 8:52 pm

Monsta wrote:
4partee wrote:I would prefer to re-install instead of trying to fix this install.

:shock: Is that easier than installing a single package (virtualbox-guest-dkms)? :)


I had no idea what would be easy or possible. I already declared I did not know how to proceed from the recovery prompt. You know, no GUI, just a CLI in a new distro where I have no working knowledge.

It is too late now. I have chosen LMDE Mint for my workstations, two desktops and a laptop, and Mythbuntu 12.04.1 for the MythTV fontend/backend server. I am migrating from Ubuntu 10.4. I have finished the laptop and am well along on the first desktop.

Thanks just the same; :D
John
4partee
Level 1
Level 1
 
Posts: 8
Joined: Fri Aug 24, 2012 8:17 am

Linux Mint is funded by ads and donations.
 

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 7 guests